classification
Title: Travis: Test with OpenSSL 1.1.0
Type: enhancement Stage: resolved
Components: Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: christian.heimes, iritkatriel
Priority: normal Keywords: patch

Created on 2018-01-14 10:39 by christian.heimes, last changed 2020-10-21 16:33 by christian.heimes. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 5180 merged christian.heimes, 2018-01-14 10:43
Messages (3)
msg309916 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2018-01-14 10:39
For several planned features and security improvements, at least OpenSSL 1.0.2 is required. OpenSSL 1.1.0 is preferred to test all new features. See discussion https://mail.python.org/pipermail/python-dev/2018-January/151718.html . However Travis CI uses Ubuntu 14.04 LTS, which comes with OpenSSL 1.0.1.

To address the problem, CPython has either to compile and install a local copy of OpenSSL, move to container-based testing or use a different CI provider with more recent infrastructure.

I have created a PR that uses an improved version of my multissl test helper to compile and install the latest copy of OpenSSL 1.1.0. The build is cached by Travis. I *think* it is necessary to build OpenSSL in master so PRs can use the cache. A daily Travis cron job on master should do the trick.
msg310112 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2018-01-16 20:02
New changeset ced9cb5303ad1447f84d923e0c7f769f5e0c6297 by Christian Heimes in branch 'master':
bpo-32549: Compile OpenSSL 1.1.0 on Travis CI (#5180)
https://github.com/python/cpython/commit/ced9cb5303ad1447f84d923e0c7f769f5e0c6297
msg378730 - (view) Author: Irit Katriel (iritkatriel) * (Python triager) Date: 2020-10-16 18:19
This seems complete, can it be closed?
History
Date User Action Args
2020-10-21 16:33:09christian.heimessetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-10-16 18:19:55iritkatrielsetnosy: + iritkatriel
messages: + msg378730
2018-01-16 20:02:28christian.heimessetmessages: + msg310112
2018-01-14 10:43:04christian.heimessetkeywords: + patch
pull_requests: + pull_request5033
2018-01-14 10:39:47christian.heimescreate